MavenRepositoryHandlerConvention (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.api.plugins

## [Java] Interface MavenRepositoryHandlerConvention

- Allows Maven repositories for publishing artifacts to be defined. The Maven plugin mixes-in this interface to the RepositoryHandler associated with each task of type Upload.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `String` | `DEFAULT_MAVEN_DEPLOYER_NAME` |
    `String` | `DEFAULT_MAVEN_INSTALLER_NAME` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GroovyMavenDeployer` | `mavenDeployer()` Adds a repository for publishing to a Maven repository.
    `GroovyMavenDeployer` | `mavenDeployer(groovy.lang.Closure configureClosure)` Adds a repository for publishing to a Maven repository.
    `GroovyMavenDeployer` | `mavenDeployer(Map<String, ?> args)` Adds a repository for publishing to a Maven repository.
    `GroovyMavenDeployer` | `mavenDeployer(Map<String, ?> args, groovy.lang.Closure configureClosure)` Adds a repository for publishing to a Maven repository.
    `MavenResolver` | `mavenInstaller()` Adds a repository for installing to a local Maven cache.
    `MavenResolver` | `mavenInstaller(groovy.lang.Closure configureClosure)` Adds a repository for installing to a local Maven cache.
    `MavenResolver` | `mavenInstaller(Map<String, ?> args)` Adds a repository for installing to a local Maven cache.
    `MavenResolver` | `mavenInstaller(Map<String, ?> args, groovy.lang.Closure configureClosure)` Adds a repository for installing to a local Maven cache.

- - ### Field Detail

    - #### public String DEFAULT_MAVEN_DEPLOYER_NAME

    - #### public String DEFAULT_MAVEN_INSTALLER_NAME

  - ### Method Detail

    - #### public GroovyMavenDeployer mavenDeployer()

      Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies.

      Returns:
        The added repository
      See Also:
        mavenDeployer(java.util.Map, groovy.lang.Closure)

    - #### public GroovyMavenDeployer mavenDeployer(groovy.lang.Closure configureClosure)

      Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies.

      Parameters:
        `configureClosure` - A closure to use to configure the repository.
      Returns:
        The added repository
      See Also:
        mavenDeployer(java.util.Map, groovy.lang.Closure)

    - #### public GroovyMavenDeployer mavenDeployer(Map<String, ?> args)

      Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies. The following parameter are accepted as keys for the map:

      Key | Description of Associated Value
      --- | ---
      `name` | (optional) The name of the repository. The default is mavenDeployer-{SOME_ID}. The name is used in the console output, to point to information related to a particular repository. A name must be unique amongst a repository group.

      Parameters:
        `args` - The argument to create the repository
      Returns:
        The added repository
      See Also:
        mavenDeployer(java.util.Map, groovy.lang.Closure)

    - #### public GroovyMavenDeployer mavenDeployer(Map<String, ?> args, groovy.lang.Closure configureClosure)

      Adds a repository for publishing to a Maven repository. This repository can not be used for resolving dependencies.

      Parameters:
        `args` - The argument to create the repository
        `configureClosure` - A closure to use to configure the repository.
      Returns:
        The added repository

    - #### public MavenResolver mavenInstaller()

      Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies.

      Returns:
        The added repository
      See Also:
        mavenInstaller(java.util.Map, groovy.lang.Closure) (java.util.Map, groovy.lang.Closure)

    - #### public MavenResolver mavenInstaller(groovy.lang.Closure configureClosure)

      Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies.

      Parameters:
        `configureClosure` - A closure to use to configure the repository.
      Returns:
        The added repository
      See Also:
        mavenInstaller(java.util.Map, groovy.lang.Closure) (java.util.Map, groovy.lang.Closure)

    - #### public MavenResolver mavenInstaller(Map<String, ?> args)

      Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies. The following parameter are accepted as keys for the map:

      Key | Description of Associated Value
      --- | ---
      `name` | (optional) The name of the repository. The default is mavenInstaller-{SOME_ID}. The name is used in the console output, to point to information related to a particular repository. A name must be unique amongst a repository group.

      Parameters:
        `args` - The argument to create the repository
      Returns:
        The added repository
      See Also:
        mavenInstaller(java.util.Map, groovy.lang.Closure) (java.util.Map, groovy.lang.Closure)

    - #### public MavenResolver mavenInstaller(Map<String, ?> args, groovy.lang.Closure configureClosure)

      Adds a repository for installing to a local Maven cache. This repository can not be used for resolving dependencies.

      Parameters:
        `args` - The argument to create the repository
        `configureClosure` - A closure to use to configure the repository.
      Returns:
        The added repository